org.apache.fop.render

## Class ImageHandlerUtil

- java.lang.Object
- - org.apache.fop.render.ImageHandlerUtil

    public final class ImageHandlerUtil
    extends Object

Utility methods for image handling.

### Field Summary

Fields
`static org.apache.xmlgraphics.util.QName` `CONVERSION_MODE` conversion-mode extension attribute
`static String` `CONVERSION_MODE_BITMAP` Conversion mode: indicates that the image shall be converted to a bitmap.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isConversionModeBitmap(Map foreignAttributes)` Indicates whether the image conversion mode is set to bitmap mode, i.e.
`static boolean` `isConversionModeBitmap(String mode)` Indicates whether the image conversion mode is set to bitmap mode, i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONVERSION_MODE

    public static final org.apache.xmlgraphics.util.QName CONVERSION_MODE

conversion-mode extension attribute

#### CONVERSION_MODE_BITMAP

    public static final String CONVERSION_MODE_BITMAP

Conversion mode: indicates that the image shall be converted to a bitmap.

See Also:
  Constant Field Values

### Method Detail

#### isConversionModeBitmap

    public static boolean isConversionModeBitmap(String mode)

Indicates whether the image conversion mode is set to bitmap mode, i.e. the image shall be converted to a bitmap.

Parameters:
  `mode` - the conversion mode
Returns:
  true if conversion mode is "bitmap"

#### isConversionModeBitmap

    public static boolean isConversionModeBitmap(Map foreignAttributes)

Indicates whether the image conversion mode is set to bitmap mode, i.e. the image shall be converted to a bitmap.

Parameters:
  `foreignAttributes` - a map of foreign attributes (Map<QName, Object>)
Returns:
  true if conversion mode is "bitmap"